VMSTAT(8)

BEZEICHNUNG
vmstat - Statistiken zum virtuellen Speicher anzeigen

ÜBERSICHT
vmstat [Optionen] [Verzögerung [Anzahl]]

BESCHREIBUNG
vmstat zeigt Informationen zu Prozessen, Speicher, Paging, Block-E/A, Traps, Laufwerken und CPU-Aktivität an.

Der erste erzeugte Bericht zeigt Durchschnittswerte seit dem letzten Neustart des Systems an. Weitere erzeugte Berichte beziehen diese Informationen auf ein Zeitintervall, das in Verzögerung definiert ist. Die Berichte zu Prozessen und Speicher werden unverzüglich ausgegeben.

OPTIONEN

Verzögerung
    gibt die Verzögerung zwischen Aktualisierungen in Sekunden an. Falls keine Verzögerung angegeben ist, wird nur ein Bericht ausgegeben, der die Durchschnittswerte seit dem Systemstart enthält.

Anzahl
    gibt die Anzahl der Aktualisierungen an. Wenn die Anzahl nicht angegeben, aber eine Verzögerung definiert ist, dann ist die Anzahl der Aktualisierungen unendlich.

-a, --active
    zeigt aktiven und inaktiven Speicher an. Dafür ist ein Kernel 2.5.41 oder neuer erforderlich.

-f, --forks
    Der Schalter -f zeigt die Anzahl der Forks seit dem Systemstart an. Dies bezieht die Systemaufrufe »fork«, »vfork« und »clone« ein und entspricht der Gesamtzahl der erzeugten Tasks. Jeder Prozess wird durch ein oder mehrere Tasks repräsentiert, abhängig von der Thread-Nutzung. Diese Anzeige wird nicht wiederholt.

-m, --slabs
    zeigt Slabinfo an.

-n, --one-header
    zeigt den Header nur einmalig anstatt periodisch an.

-s, --stats
    zeigt eine Tabelle verschiedener Ereigniszähler und Speicherstatistiken an. Diese Anzeige wird nicht wiederholt.

-d, --disk
    zeigt Plattenstatistiken an (Kernel 2.5.70 oder neuer erforderlich).

-D, --disk-sum
    zeigt eine statistische Zusammenfassung der Plattenaktivitäten an.

-p, --partition Gerät
    zeigt detaillierte Statistiken zu Partitionen an (Kernel 2.5.70 oder neuer erforderlich).

-S, --unit Zeichen
    wechselt die Einheit der Ausgabe zwischen 1000 (k), 1024 (K), 1000000 (m) oder 1048576 (M) Byte. Beachten Sie, dass diese Änderung die Swap- (si/so) oder Block-Felder (bi/bo) nicht beeinflusst, die stets in Blöcken gemessen werden.

-t, --timestamp
    hängt an jede Zeile einen Zeitstempel an.

-w, --wide
    Breiter Ausgabemodus. Dieser ist sinnvoll, wenn der vorgegebene Ausgabemodus unerwünschte Umbrüche in den Spalten enthält, was für Systeme mit einer größeren Menge an Speicher vorkommt. Die Ausgabe ist breiter als 80 Zeichen pro Zeile.

-y, --no-first
    überspringt den ersten Bericht mit Statistiken seit dem Systemstart.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

FELDBESCHREIBUNG FÜR VM-MODUS

  Prozesse
r: die Anzahl der ausführbaren Prozesse (laufend oder auf Ausführungszeit wartend).
b: die Anzahl der blockierten Prozesse, auf Ein-/Ausgaben zum Abschluss wartend.

  Speicher
Diese werden von der Option --unit beeinflusst.
swpd: die Menge des verwendeten Auslagerungsspeichers.
free: die Menge des untätigen Speichers.
buff: die Menge des als Puffer verwendeten Speichers.
cache: die Menge des als Zwischenspeicher verwendeten Speichers.
inact: die Menge des inaktiven Speichers (Option -a)
active: die Menge des aktiven Speichers (Option -a)

  Swap
Diese werden von der Option --unit beeinflusst.
si: Speichermenge aus dem Auslagerungsspeicher geholt (/s).
so: Speichermenge in den Auslagerungsspeicher geschrieben (/s).

  E/A
bi: von einem Blockgerät empfangene Kibibyte (KiB/s).
bo: an ein Blockgerät gesendete Kibibyte (KiB/s).

  System
in: Anzahl der Interrupts pro Sekunde, einschließlich der Uhr.
cs: Anzahl der Kontext-Switches pro Sekunde.

  CPU
Dies sind Prozentsätze der gesamten CPU-Zeit.
us: Time spent running non-kernel code.  (user time, including nice time)
sy: Time spent running kernel code.  (system time)
id: Time spent idle.  Prior to Linux 2.5.41, this includes IO-wait time.
wa: Time spent waiting for IO.  Prior to Linux 2.5.41, included in idle.
st: Time stolen from a virtual machine.  Prior to Linux 2.6.11, unknown.
gu: Time spent running KVM guest code (guest time, including guest nice).

FELDBESCHREIBUNG FÜR PlattenMODUS

  Lesevorgänge
total: Gesamtzahl erfolgreich abgeschlossener Lesevorgänge
merged: Gruppierte Lesevorgänge (resultierend in einem E/A-Vorgang)
sectors: Erfolgreich gelesene Sektoren
ms: Zeit für Lesevorgänge in Millisekunden

  Schreibvorgänge
total: Gesamtzahl erfolgreich abgeschlossener Schreibvorgänge
merged: Gruppierte Schreibvorgänge (resultierend in einem E/A-Vorgang)
sectors: Erfolgreich geschriebene Sektoren
ms: Zeit für Schreibvorgänge in Millisekunden

  E/A
cur: E/A in Verarbeitung
s: für E/A verbrauchte Sekunden

FELDBESCHREIBUNG FÜR PLATTENPARTITIONSMODUS
reads: Gesamtzahl der Lesevorgänge auf dieser Partition
read sectors: Insgesamt gelesene Sektoren auf dieser Partition
writes : Gesamtzahl der Schreibvorgänge auf dieser Partition
requested writes: Gesamtzahl der für diese Partition
                  angeforderten Schreibvorgänge

FELDBESCHREIBUNG FÜR SLAB-MODUS
Slab mode shows statistics per slab, for more information about this information see slabinfo(5)

cache: Zwischenspeichername
num: Anzahl der gegenwärtig aktiven Objekte
total: Gesamtzahl der verfügbaren Objekte
size: Größe jedes Objekts
pages: Anzahl der Seiten mit mindestens einem aktiven Objekt

ANMERKUNGEN
vmstat requires read access to files under /proc. The -m requires read access to /proc/slabinfo which may not be available to standard users. Mount options for /proc such as subset=pid may also impact what is visible.

SIEHE AUCH
free(1), iostat(1), mpstat(1), ps(1), sar(1), top(1), slabinfo(5)

FEHLER MELDEN
Bitte schicken Sie Fehlermeldungen (auf Englisch) an procps@freelists.org